Skip to content

upsertUserAttributeValue

WRITE

Upsert user attribute value.

POST /api/v1/account/upsertUserAttributeValue
curl -X POST '<your-host>/api/v1/account/upsertUserAttributeValue' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "userAttributeId": "string",
    "value": "string",
    "type": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "userAttributeValueId": {
      "type": "string"
    },
    "userAttributeId": {
      "type": "string"
    },
    "value": {
      "anyOf": [
        {
          "type": "boolean"
        },
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "type": {
      "type": "string"
    }
  },
  "required": [
    "userAttributeId",
    "value",
    "type"
  ]
}